| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Gaudi::Parsers::Messages Class Referencefinal

`#include <src/JobOptionsSvc/Messages.h>`

Collaboration diagram for Gaudi::Parsers::Messages:
[legend]

## Public Member Functions
| Messages (MsgStream &stream)
void | AddInfo (const std::string &info)
void | AddWarning (const std::string &warning)
void | AddError (const std::string &error)
void | AddInfo (const Position &pos, const std::string &info)
void | AddWarning (const Position &pos, const std::string &warning)
void | AddError (const Position &pos, const std::string &error)

## Private Member Functions
void | AddMessage (MSG::Level level, const std::string &message)
void | AddMessage (MSG::Level level, const Position &pos, const std::string &message)

## Private Attributes
MsgStream & | stream_
std::string | m_currentFilename
| Name of last printed filename. More...

## Detailed Description

Definition at line 21 of file Messages.h.

## Constructor & Destructor Documentation

## ◆ Messages()

Gaudi::Parsers::Messages::Messages | ( | MsgStream & | stream | ) |
| inline

Definition at line 23 of file Messages.h.

23 : stream_( stream ) {}
Gaudi::Parsers::Messages::stream_
MsgStream & stream_
Definition: Messages.h:43

## Member Function Documentation

## ◆ AddError() [1/2]

void Gaudi::Parsers::Messages::AddError | ( | const std::string & | error | ) |
| inline

Definition at line 29 of file Messages.h.

29 { AddMessage( MSG::ERROR, error ); }
Gaudi::Parsers::Messages::AddMessage
void AddMessage(MSG::Level level, const std::string &message)
Definition: Message.cpp:15
MSG::ERROR
Definition: IMessageSvc.h:15

## ◆ AddError() [2/2]

void Gaudi::Parsers::Messages::AddError | ( | const Position & | pos,
|  | const std::string & | error
| ) |  |
| inline

Definition at line 35 of file Messages.h.

35 { AddMessage( MSG::ERROR, pos, error ); }
Gaudi::Parsers::Messages::AddMessage
void AddMessage(MSG::Level level, const std::string &message)
Definition: Message.cpp:15
MSG::ERROR
Definition: IMessageSvc.h:15

## ◆ AddInfo() [1/2]

void Gaudi::Parsers::Messages::AddInfo | ( | const std::string & | info | ) |
| inline

Definition at line 25 of file Messages.h.

25 { AddMessage( MSG::INFO, info ); }
Gaudi::Parsers::Messages::AddMessage
void AddMessage(MSG::Level level, const std::string &message)
Definition: Message.cpp:15
MSG::INFO
Definition: IMessageSvc.h:15

## ◆ AddInfo() [2/2]

void Gaudi::Parsers::Messages::AddInfo | ( | const Position & | pos,
|  | const std::string & | info
| ) |  |
| inline

Definition at line 31 of file Messages.h.

31 { AddMessage( MSG::INFO, pos, info ); }
Gaudi::Parsers::Messages::AddMessage
void AddMessage(MSG::Level level, const std::string &message)
Definition: Message.cpp:15
MSG::INFO
Definition: IMessageSvc.h:15

## ◆ AddMessage() [1/2]

void Gaudi::Parsers::Messages::AddMessage | ( | MSG::Level | level,
|  | const std::string & | message
| ) |  |
| private

Definition at line 15 of file Message.cpp.

15 { stream_ << level << message << endmsg; }
gaudirun.level
level
Definition: gaudirun.py:334
Gaudi::Parsers::Messages::stream_
MsgStream & stream_
Definition: Messages.h:43
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## ◆ AddMessage() [2/2]

void Gaudi::Parsers::Messages::AddMessage | ( | MSG::Level | level,
|  | const Position & | pos,
|  | const std::string & | message
| ) |  |
| private

Definition at line 17 of file Message.cpp.

17 {
18 if ( pos.filename() != m_currentFilename ) {
19 stream_ << level << "# =======> " << pos.filename() << endmsg;
20 m_currentFilename = pos.filename();
21 }
22 stream_ << level << "# " << boost::format( "(%1%,%2%): %3%" ) % pos.line() % pos.column() % message << endmsg;
23 }
Gaudi::Parsers::Messages::m_currentFilename
std::string m_currentFilename
Name of last printed filename.
Definition: Messages.h:45
format
GAUDI_API std::string format(const char *,...)
MsgStream format utility "a la sprintf(...)".
Definition: MsgStream.cpp:109
gaudirun.level
level
Definition: gaudirun.py:334
Gaudi::Parsers::Messages::stream_
MsgStream & stream_
Definition: Messages.h:43
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## ◆ AddWarning() [1/2]

void Gaudi::Parsers::Messages::AddWarning | ( | const std::string & | warning | ) |
| inline

Definition at line 27 of file Messages.h.

27 { AddMessage( MSG::WARNING, warning ); }
Gaudi::Parsers::Messages::AddMessage
void AddMessage(MSG::Level level, const std::string &message)
Definition: Message.cpp:15
MSG::WARNING
Definition: IMessageSvc.h:15

## ◆ AddWarning() [2/2]

void Gaudi::Parsers::Messages::AddWarning | ( | const Position & | pos,
|  | const std::string & | warning
| ) |  |
| inline

Definition at line 33 of file Messages.h.

33 { AddMessage( MSG::WARNING, pos, warning ); }
Gaudi::Parsers::Messages::AddMessage
void AddMessage(MSG::Level level, const std::string &message)
Definition: Message.cpp:15
MSG::WARNING
Definition: IMessageSvc.h:15

## Member Data Documentation

## ◆ m_currentFilename

std::string Gaudi::Parsers::Messages::m_currentFilename
| private

Name of last printed filename.

Definition at line 45 of file Messages.h.

## ◆ stream_

MsgStream& Gaudi::Parsers::Messages::stream_
| private

Definition at line 43 of file Messages.h.

The documentation for this class was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/Messages.h
- GaudiCoreSvc/src/JobOptionsSvc/Message.cpp